Summary:	Qt implementation of the DBusMenu spec
Summary(pl.UTF-8):	Implementacja Qt specyfikacji DBusMenu
Name:		libdbusmenu-qt
Version:	0.9.2
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	https://launchpad.net/libdbusmenu-qt/trunk/%{version}/+download/%{name}-%{version}.tar.bz2
# Source0-md5:	9a49484927669cd2ec91b3bf9ba8b79e
URL:		https://launchpad.net/libdbusmenu-qt/
BuildRequires:	QtCore-devel >= 4
BuildRequires:	QtDBus-devel >= 4
# for <QtGui/QKeySequence>
BuildRequires:	QtGui-devel >= 4
BuildRequires:	cmake >= 2.8.0
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	qjson-devel >= 0.7.1
BuildRequires:	qt4-build >= 4
BuildRequires:	qt4-qmake >= 4
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library provides a Qt implementation of the DBusMenu spec.

%description -l pl.UTF-8
Ta biblioteka dostarcza implementację Qt specyfikacji DBusMenu.

%package devel
Summary:	Header files for dbusmenu-qt library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki dbusmenu-qt
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	QtCore-devel >= 4
Requires:	QtDBus-devel >= 4

%description devel
Header files for dbusmenu-qt library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki dbusmenu-qt.

%package apidocs
Summary:	dbusmenu-qt API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki dbusmenu-qt
Group:		Documentation

%description apidocs
API documentation for dbusmenu-qt library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki dbusmenu-qt.

%prep
%setup -q

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_libdir}/libdbusmenu-qt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdbusmenu-qt.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdbusmenu-qt.so
%{_includedir}/dbusmenu-qt
%{_pkgconfigdir}/dbusmenu-qt.pc

%files apidocs
%defattr(644,root,root,755)
%{_docdir}/dbusmenu-qt
%changelog
* Mon Mar 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libdbusmenu-qt.git;a=log;h=master

* Mon Mar 02 2015 Jan Rękorajski <baggins@pld-linux.org> dadb74e
- x32 rebuild
- release 2 (by relup.sh)

* Wed Jan 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 5ee9019
- updated to 0.9.2, cleanup

* Wed Apr 06 2011 Artur Frysiak <artur@frysiak.net> a9beb26
- trace soname changes
- rel. 2

* Wed Apr 06 2011 Artur Frysiak <artur@frysiak.net> 47bc6ae
- up to 0.8.1

* Wed Sep 01 2010 shadzik <shadzik@pld-linux.org> 38dcfff
- BR: qjson-devel
- rel 2

* Tue Aug 31 2010 shadzik <shadzik@pld-linux.org> 33ed32f
- 0.6.0

* Thu Jun 03 2010 sparky <sparky@pld-linux.org> 039ff1c
- BR: QtCore-devel, libstdc++-devel, qt4-build, qt4-qmake
- QJson is required. but I don't know where is is

* Wed May 26 2010 shadzik <shadzik@pld-linux.org> 8347849
- rel 1

* Wed May 26 2010 shadzik <shadzik@pld-linux.org> 983599b
- %post and %postun

* Wed May 26 2010 shadzik <shadzik@pld-linux.org> 83652f3
- pl

* Wed May 26 2010 shadzik <shadzik@pld-linux.org> 2a28b7a
- init

